
/** //////////////////////////////////////// */
/** all */
/** //////////////////////////////////////// */
html {
    font-size: 16px;
}

body {
    font-family: 'PT Sans', sans-serif;
}

.callout {
    border: none;
}

.hideAll {
    display: none;
}

.dropdown .is-dropdown-submenu a {
    padding: 0.4rem 1.0rem 0.4rem 2.0rem;
}

.product-card {
    display: none;
}

#loadMore {
    cursor: pointer;
    background-color: #1eca01;
    border-radius: 5px;
}

/** //////////////////////////////////////// */
/** header */
/** //////////////////////////////////////// */
.logo {
    display: flex;
    justify-content: center;
    margin-top: 5%;
}

.title-bar {
    background: rgb(185, 185, 185);
}

.searchLine {
    display: flex;
    align-items: center;
    justify-content: center;
}

.searchClick {
    width: 5%;
    background-color: #f0f0f0;
    padding: 8px;
}
#searchBox {
    margin-bottom: 0;
}

/** //////////////////////////////////////// */
/** splash */
/** //////////////////////////////////////// */
.splash {
    display: block;
}

#headerpart {
    font-size: 16px;
    height: 100px;
    display: flex;
    align-items: center;
}
/** nav ////////////////////////////////*/
#navpart {
    height: 70px;
    border-top: 0.5px solid #777777;
    border-bottom: 0.5px solid #777777;
    display: flex;
    align-items: center;
    color: #777777;
    text-align: center;
}

#navpart p {
    color: #777777;
    font-size: 1rem;
    margin-bottom: 0;
}

#navpart p:hover {
    font-weight: 600;
}

/** slider ////////////////////////////////*/
#slider {
    height: 365px;
    background-image: url("../images/spl01.jpg");
    background-position: center;
    width: 100%;
}

#sliderText {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#sliderText h1 {
    font-size: 30px;
    text-decoration: none;
    font-weight: 500;
    margin-bottom: 0;
}

#sliderText h1 span {
    color: red;
    font-weight: 500;
}

#sliderText h2 {
    font-size: 15px;
    color: #777777;
    font-weight: 400;
    margin-bottom: 15px;
}

#sliderText button {
    background-color: #1eca01;
    padding: 10px 30px;
    border-radius: 5px;
    font-weight: 600;
}

#sliderText button:hover {
    background-color: #62fc47;
}

#sliderText button a {
    color: white
}

#orangeBox {
    height: 465px;
}

#cartimg {
    text-align: end;
}

#saleitem {
    height: 355px;
}

#subTitle h1 {
    font-size: 28px;
    text-decoration: underline;
}

h1 span {
    font-weight: 200;
}

#subTitle {
    height: 70px;
    text-align: center;
    padding-top: 20px;
    margin: 1.3rem 0;
}

#circle {
    height: 200px;
    text-align: center;
    margin-bottom: 5px;
}

#circle img {
    width: 110%;
}

#circle a {
    color: #777777;
    font-size: 14px;
}

#seeall {
    text-align: center;
    font-size: 20px;
    font-weight: 600;
    display: flex;
    justify-content: center;
    cursor: pointer;
}

#seeall p {
    color: #fd8910;
}

#triangle-down {
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 13px solid #fd8910;
    margin-top: 8px;
    margin-left: 5px;
}

/** superSaving button ////////////////////////////////*/
#superSaving {
    height: 360px;
}

#superSavingPart {
    background-color: #fd8910;
}

#superSavingPart img {
    height: 45%;
}

#superSavingPart p {
    padding: 0 10%;
    font-size: 1.3rem;
    line-height: 110%;
}

#superSavingPart p1 {
    font-size: 1rem;
    text-decoration: line-through;
}

#superSavingPart p2 {
    font-size: 1.5rem;
    color: red;
    font-weight: 600;
    margin-left: 15px;
}

#saleitem {
    background-color: white;
    text-align: center;
    border-bottom: 5px solid #fd8910;
}

#saleitem img {
    margin-top: 8%;
    object-fit: contain;
}

.toCartBtn {
    display: flex;
    justify-content: center;
    align-items: center;
}

#minus a {
    color: #777777;
}

#plus a {
    color: #777777;
}

#minus {
    background-color: #cfcdcd;
    padding: 5px 6px;
    font-weight: 600;
    font-size: 20px;
}

#minus:hover {
    background-color: #aaaaaa;
}

#plus {
    background-color: #cfcdcd;
    padding: 5px 5px;
    font-weight: 600;
    font-size: 20px;
}

#plus:hover {
    background-color: #aaaaaa;
}

#atc {
    background-color: #fd8910;
    padding: 7px 30px;
    font-size: 16px;
    color: white;
    font-weight: 600;;
}
#atc:hover {
    background-color:#ff6600;
}

.one {
    background-color: #ffffff;
    padding: 5px 10px;
    border: 2px solid #cfcdcd;
    font-weight: 600;
    color: #777777;
    font-size: 16px;
}

/** //////////////////////////////////////// */
/** products */
/** //////////////////////////////////////// */
.product-add-cart {
    cursor: pointer;
}

.product-minus {
    cursor: pointer;
}

.product-plus {
    cursor: pointer;
}

#trail {
    height: 70px;
}

#trail p span {
    font-weight: 600;
    text-decoration: underline;
}

#product {
    border-bottom: rgb(190, 190, 190) 1px solid;
    margin-bottom: 30px;
}

#productItem {
    height: 380px;
    text-align: center;
}

#productItem img {
    object-fit: contain;
}

#productItem p {
    font-weight: 600;
    font-size: 20px;
    line-height: 110%;
    margin-bottom: 0;
}

#productItem p1 {
    color: #777777;
    font-size: 16px;
    line-height: 130%;
}

#productUPC {
    text-align: left;
    height: 1.2rem;
}
#productUPC span {
    font-weight: 600;
    color:#505050;
}

#productDesc {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    text-align: left;
}

#productItem p2 {
    color: #000000;
    font-size: 24px;
    font-weight: 600;
    margin-top: 20px;
}

/** //////////////////////////////////////// */
/** cart */
/** //////////////////////////////////////// */

#cartTotal {
    background-color: #cecece;
    background-color: #fd8a10c9;
    text-align: right;
}

#cartTotal p {
    margin-bottom: 0;
    text-align: right;
}

.sumTitle {
    text-align: left;
}

#sumTotal {
    font-size: 1.2rem;
    font-weight: 600;
}

#cartTotal button {
    background-color: white;
    color: #fd8910;
    font-weight: 600;
    padding: 5px 30px;
    margin-top: 10%;
    margin-bottom: 10%;
    border-radius: 5px;
    cursor: pointer;
}

#cartTotal h1 {
    font-size: 1.3rem;
    text-align: center;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-weight: 600;
}

.cartRow {
    text-align: center;
    height: 80px;
    display: flex;
    align-items: center;
    position: relative;
}

.cartRow img {
    width: 80%;
}

#cartRowTitle {
    font-weight: 600;
    border-bottom: 1px solid #777777;
    height: 40px;
    color: #777777;
    font-size: 1.2rem;
}

#cartName {
    text-align: left;
}
#cartName span {
    font-size: 0.8rem;
    color: grey;
}

#cartX {
    color: red;
    font-weight: 600;
    cursor: pointer;
}
.cart-minus {
    cursor: pointer;
}
.cart-plus {
    cursor: pointer;
}

.confirmMessage {
    height: 500px;
}

/** //////////////////////////////////////// */
/** menu*/
/** //////////////////////////////////////// */

.departments_list {
    position: absolute;
    z-index: 1000;
    background-color: rgba(255, 255, 255, 0.938);
    visibility: hidden;
    margin-top: -1px;
    width: 250px;
    padding: 10% 20%;
}

.show_departments {
    padding-bottom: 1px;
}

.show_departments:hover .departments_list {
    visibility: visible;
}

.department_item {
    color: #3a3a3a;
    text-align: left;
}

.department_item:hover {
    color: #fd8910;
    font-weight: 600;
    text-shadow: 0.5px 1px #a7a7a7;
}

.cartCircle {
    position: absolute;
    z-index: 1000;
    color: black;
    background-color: #fcb366;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 10px;
}
/** //////////////////////////////////////// */
/** checkout */
/** //////////////////////////////////////// */
.chekout {
    display: block;
}
.button.success {
    background-color: #fcb366;
    color: #0a0a0a;
    /**margin-right: 1rem;*/
    margin-top: 1rem;
    width: 150px;
    border-radius: 5px;
}
.button.success:hover {
    background-color: #fd8910;
}
#login.button.success {
    margin-right: 1rem;
}

.goCart img {
    width: 25px;
}
.goCart p {
    font-weight: 600;
    color:  #fd8910;
}
.bottombtns {
    margin-top: 20px;
}
.bottomBtn {
    width: 100%;
    background-color: #fcb366;
    color: #0a0a0a;
    border: none;
    padding-top: 0.85em;
    padding-bottom: 0.85em;
    border-radius: 5px;
}
.bottomBtn:hover {
    background-color: #fd8910;
}
/** //////////////////////////////////////// */
/** reveal:create-account & login */
/** //////////////////////////////////////// */
.reveal h1 {
    font-size: 2rem;
    text-align: center;
}
.close-button, .close-login-button {
    font-size: 0.8rem;
    color: red;
    padding: 0.2rem 1rem;
    border: none;
    font-weight: 600;
    background-color: white;
}

.popupBtn {
    width: 150px;
    background-color: #bdbdbd;
    color: #0a0a0a;
    border: none;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    border-radius: 5px;
    font-size: 0.9rem;
}

.popupBtn:hover {
    background-color: #d4d3d3;
    font-weight: 600;
}

/** //////////////////////////////////////// */
/** complete */
/** //////////////////////////////////////// */


#cartcompleteBtnTotal button {
    background-color: white;
    color: #fd8910;
    font-weight: 600;
    padding: 5px 30px;
    margin-top: 10%;
    margin-bottom: 10%;
    border-radius: 5px;
    cursor: pointer;
}

/** //////////////////////////////////////// */
/** payment */
/** //////////////////////////////////////// */
.payment #cardName {
    padding-top: 2rem;
}
.confirmMessage
{
    text-align: center;
}
.confirmMessage p{
    padding-top: 3rem;
    font-size: 1.5rem;
    font-weight: 400;
}

.confirmMessage p, h2 span {
    font-weight: 600;
}

/** //////////////////////////////////////// */
/** footer */
/** //////////////////////////////////////// */
#footer {
    height: 200px;
}

.footer_background {
    background-color: rgb(185, 185, 185);
    margin-top: 50px;
}

.footerbg {
    background-color: rgb(185, 185, 185);
}

#footer01,
#footer02,
#footer03 {
    text-align: center;
}

footer h2 {
    font-size: 0.9rem;
    font-weight: 600;
    margin: 20px 0;
}

footer p {
    line-height: 70%;
    font-size: 0.7rem;
}

#footer03 img {
    padding-left: 3px;
    width: 25%;
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    #subTitle h1 {
        font-size: 36px;
        text-decoration: underline;
    }

    .logo {
        height: 6.0rem;
        display: flex;
        justify-content: flex-start;
        margin-top: 0;
    }

    #navpart {
        text-align: left;
    }

    .departments_list {
        width: 180%;
    }

    #sliderText h1 {
        font-size: 3rem;
    }

    #sliderText h2 {
        font-size: 1.6rem;
    }

    #circle a {
        font-size: 0.9rem;
    }

    #circle {
        margin-bottom: 0.8rem;
    }

    #product {
        border-right: rgb(190, 190, 190) 0.5px solid;
        border-left: rgb(190, 190, 190) 0.5px solid;
        border-bottom: rgb(190, 190, 190) 0px solid;
    }

    .smallRight {
        border-left: none;
        padding-left: 0;
    }

    #cartTotal h1 {
        font-size: 1.3rem;
        text-decoration: underline;
    }

    #checkoutBtn {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    footer h2 {
        font-size: 1rem
    }

    footer p {
        font-size: 0.9rem;
        ;
    }

    #footer03 img {
        padding-left: 10px;
        width: 15%;
    }
}
